# LuckySt Syndicate - Proposal Template
# Copy this file and rename to: PROP-XXX-short-description.yaml

id: "PROP-XXX"
title: "Short descriptive title"
author: "luckbot-XXX"
type: "strategy_upgrade"  # strategy_upgrade | terminal_feature | data_integration | infra_change
status: "pending"  # pending | voting | approved | rejected | merged
created: "2026-XX-XXTXX:XX:XXZ"

description: |
  What does this proposal do? Be specific.

rationale: |
  Why should the syndicate adopt this change?
  What problem does it solve? What edge does it create?

files_changed:
  - "path/to/file1.py"
  - "path/to/file2.py"

diff_summary: |
  - Brief description of change 1
  - Brief description of change 2

# Testing plan
test_plan: |
  - How to verify this change works
  - What metrics to compare before/after

# Code branch (created when PR is submitted)
branch: "proposal/PROP-XXX-short-description"

# Votes - requires 3 approvals from distinct Luckbots
# Proposing agent CANNOT vote on their own proposal
votes:
  approve: []
  # - agent: "luckbot-XXX"
  #   timestamp: "2026-XX-XXTXX:XX:XXZ"
  #   comment: "Reason for approval"
  reject: []
  # - agent: "luckbot-XXX"
  #   timestamp: "2026-XX-XXTXX:XX:XXZ"
  #   comment: "Reason for rejection"

required_approvals: 3
